//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. 2001 - 2003. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace CustomLineBackColor
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ToolBar toolBar1;
		private Syncfusion.Windows.Forms.Edit.EditControl editControl1;
		private System.Windows.Forms.ImageList imageList1;
		private System.Windows.Forms.ToolBarButton toolBarButtonRed;
		private System.Windows.Forms.ToolBarButton toolBarButtonYellow;
		private System.Windows.Forms.ToolBarButton toolBarButtonGreen;
		private System.Windows.Forms.ToolBarButton toolBarButtonCyan;
		private System.Windows.Forms.ToolBarButton toolBarButtonBlue;
		private System.Windows.Forms.ToolBarButton toolBarButtonRemove;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			editControl1.LoadFile("form1.cs");

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.toolBar1 = new System.Windows.Forms.ToolBar();
			this.toolBarButtonRed = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonYellow = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonGreen = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonCyan = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonBlue = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonRemove = new System.Windows.Forms.ToolBarButton();
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.editControl1 = new Syncfusion.Windows.Forms.Edit.EditControl();
			this.SuspendLayout();
			// 
			// toolBar1
			// 
			this.toolBar1.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.toolBar1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.toolBar1.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.toolBarButtonRed,
																						this.toolBarButtonYellow,
																						this.toolBarButtonGreen,
																						this.toolBarButtonCyan,
																						this.toolBarButtonBlue,
																						this.toolBarButtonRemove});
			this.toolBar1.DropDownArrows = true;
			this.toolBar1.ImageList = this.imageList1;
			this.toolBar1.Name = "toolBar1";
			this.toolBar1.ShowToolTips = true;
			this.toolBar1.Size = new System.Drawing.Size(472, 26);
			this.toolBar1.TabIndex = 0;
			this.toolBar1.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar1_ButtonClick);
			// 
			// toolBarButtonRed
			// 
			this.toolBarButtonRed.ImageIndex = 0;
			this.toolBarButtonRed.ToolTipText = "Red background color for the selected line range or the current line";
			// 
			// toolBarButtonYellow
			// 
			this.toolBarButtonYellow.ImageIndex = 1;
			this.toolBarButtonYellow.ToolTipText = "Yellow background color for the selected line range or the current line";
			// 
			// toolBarButtonGreen
			// 
			this.toolBarButtonGreen.ImageIndex = 2;
			this.toolBarButtonGreen.ToolTipText = "Green background color for the selected line range or the current line";
			// 
			// toolBarButtonCyan
			// 
			this.toolBarButtonCyan.ImageIndex = 3;
			this.toolBarButtonCyan.ToolTipText = "Cyan background color for the selected line range or the current line";
			// 
			// toolBarButtonBlue
			// 
			this.toolBarButtonBlue.ImageIndex = 4;
			this.toolBarButtonBlue.ToolTipText = "Blue background color for the selected line range or the current line";
			// 
			// toolBarButtonRemove
			// 
			this.toolBarButtonRemove.ImageIndex = 5;
			this.toolBarButtonRemove.ToolTipText = "Remove the background color for the selected line range or the current line";
			// 
			// imageList1
			// 
			this.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Silver;
			// 
			// editControl1
			// 
			this.editControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.editControl1.Location = new System.Drawing.Point(0, 26);
			this.editControl1.Name = "editControl1";
			this.editControl1.SettingFile = "*CSharp.ini";
			this.editControl1.Size = new System.Drawing.Size(472, 347);
			this.editControl1.TabIndex = 1;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(472, 373);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.editControl1,
																		  this.toolBar1});
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void toolBar1_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			
			
			if (e.Button == toolBarButtonRed)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.SetCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L, Color.Red);
					editControl1.SetCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L,Color.Yellow);
				}
				
			}
			else if (e.Button == toolBarButtonYellow)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.SetCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L, Color.Yellow);
					editControl1.SetCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L,Color.Red);
				}
				
			}
			else if (e.Button == toolBarButtonGreen)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.SetCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L, Color.Green);
					editControl1.SetCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L,Color.Yellow);
				}
				
			}
			else if (e.Button == toolBarButtonCyan)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.SetCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L, Color.Cyan);
					editControl1.SetCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L,Color.Red);
					
				}
				
			}
			else if (e.Button == toolBarButtonBlue)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.SetCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L, Color.Blue);
					editControl1.SetCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L,Color.Yellow);
				}
				
			}
			else if (e.Button == toolBarButtonRemove)
			{
				if (editControl1.HasSelection)
				{
					Syncfusion.Windows.Forms.Edit.EditLocationRange lcrNorm =editControl1.SelectionLocationRange.Normalize();
					editControl1.RemoveCustomBackColor(lcrNorm.Start.L,lcrNorm.End.L);
					editControl1.RemoveCustomForeColor(lcrNorm.Start.L,lcrNorm.End.L);
				}
				
			}
		}
	}
}
